Subject: Re: bug#13602: 24.3.50; remove bindings for `icomplete-minibuffer-map' - make a separate mode

From: Jambunathan K <[email-masked]>
Date: Thu, 07 Feb 2013 21:15:55 +0530

Stefan Monnier <[email-masked]> writes:

>> I see that ido.el mentions the right and left arrow keys.
>> Could they be used with some modifiers?
>
> I think it's a good idea to try and use something else than C-s C-r,
> since admittedly they collide with existing usage.  But the problem is
> indeed to find other bindings.
>
> We could use arrows with modifiers: by default, M-left and C-left do the
> same thing, so we could use either C-left/C-right or M-left/M-right.
>
> Another option that stays closer to IDO (and to home row) is M-s and M-r
> (M-r's move-to-window-line-top-bottom is fairly useless in the
> minibuffer, but M-s is normally a prefix key for search commands, so
> it's not ideal, tho it's less severe than overriding C-s).

How about C-S-s and C-S-r?  I just need to have Shift key depressed,
which is fine with me.

    (define-key map [?\C-\S-s]  'icomplete-forward-completions)
    (define-key map [?\C-\S-r]  'icomplete-backward-completions)